{
  "author": "Flywheel",
  "cite": "",
  "command": "python run.py",
  "config": {
    "debug": {
      "default": false,
      "description": "Log debug messages",
      "type": "boolean"
    },
    "metadata_location": {
      "default": "info.forms.json",
      "description": "Location in file.info to store form metadata. Leave blank to populate file.info.  Must start with 'info'. To dump metadata at the top level, leave as 'info'.",
      "type": "string"
    },
    "tag": {
      "default": "form-importer",
      "description": "The tag to be added on input file upon run completion.",
      "type": "string"
    }
  },
  "custom": {
    "flywheel": {
      "classification": {
        "function": [
          "Utility"
        ],
        "modality": [
          "Any"
        ],
        "organ": [
          "Any"
        ],
        "species": [
          "Phantom",
          "Human",
          "Animal",
          "Other"
        ],
        "therapeutic_area": [
          "Any"
        ]
      },
      "show-job": true,
      "suite": "Utility"
    },
    "gear-builder": {
      "category": "converter",
      "image": "flywheel/form-importer:0.2.0"
    }
  },
  "description": "Import form metadata into Flywheel. Metadata is stored under file.info.forms.<form_type>. Supports json.",
  "environment": {
    "COMMIT": "main.a30a2597",
    "COMMIT_TIME": "2022-06-21T13:24:40+00:00",
    "EDITOR": "micro",
    "FLYWHEEL": "/flywheel/v0",
    "GJO_VERSION": "1.0.2",
    "GPG_KEY": "A035C8C19219BA821ECEA86B64E628F8D684696D",
    "JQ_VERSION": "jq-1.6",
    "LANG": "C.UTF-8",
    "MICRO_VERSION": "2.0.10",
    "MUSTACHE_VERSION": "1.3.1",
    "PATH": "/opt/poetry/bin:/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin",
    "PIP_NO_CACHE_DIR": "0",
    "POETRY_HOME": "/opt/poetry",
    "POETRY_VERSION": "1.1.13",
    "POETRY_VIRTUALENVS_CREATE": "false",
    "PROMETHEUS_MULTIPROC_DIR": "/var/metrics",
    "PYSITE": "/usr/local/lib/python3.10/site-packages",
    "PYTHON_GET_PIP_SHA256": "ba3ab8267d91fd41c58dbce08f76db99f747f716d85ce1865813842bb035524d",
    "PYTHON_GET_PIP_URL": "https://github.com/pypa/get-pip/raw/6ce3639da143c5d79b44f94b04080abf2531fd6e/public/get-pip.py",
    "PYTHON_PIP_VERSION": "22.0.4",
    "PYTHON_SETUPTOOLS_VERSION": "58.1.0",
    "PYTHON_VERSION": "3.10.5",
    "SETUPTOOLS_USE_DISTUTILS": "stdlib"
  },
  "inputs": {
    "api-key": {
      "base": "api-key",
      "read-only": false
    },
    "input-file": {
      "base": "file",
      "description": "Input file containing form values.",
      "optional": false
    }
  },
  "label": "Form importer",
  "license": "MIT",
  "maintainer": "Flywheel <support@flywheel.io>",
  "name": "form-importer",
  "source": "https://gitlab.com/flywheel-io/flywheel-apps/form-importer",
  "url": "https://gitlab.com/flywheel-io/scientific-solutions/gears/form-importer",
  "version": "0.2.0"
}
